name: applooki
description: A new Flutter project.

# The following line prevents the package from being accidentally published to
# pub.dev using `pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.0.0+1

environment:
  sdk: '>=2.12.0 <3.0.0'

dependencies:
  flutter:
    sdk: flutter

  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.0
  flutter_riverpod: 0.14.0
  flutter_svg: 0.22.0
  flutter_overlay_loader:
  loading_indicator:
  #flutter_spinkit:
  intl:
  #relative_scale:
  #hexcolor:
  http:
  shared_preferences: 2.0.6
  badges: 2.0.2
  flutter_image_slideshow: 0.1.0
  flutter_html: 2.0.0
  carousel_slider: 4.0.0
  status_change: 2.0.0
  image_picker: 0.8.4+1
  animator:
  dio:
  skeleton_loader: 2.0.0+4
  crypto: 3.0.1
  flutter_slidable: 1.2.0
  another_flushbar: 1.10.19
  #bottom_sheet:
  diacritic: 0.1.3
  webview_flutter: 2.0.13
  photo_view: 0.14.0
  url_launcher: 6.0.10

dev_dependencies:
  flutter_test:
    sdk: flutter
  lint:
  dart_code_metrics:
# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:
  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
    - images/
    - svg/
  #   - images/a_dot_ham.jpeg

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  fonts:
    - family: Black
      fonts:
        - asset: fonts/Inter-Black.ttf
    - family: Bold
      fonts:
        - asset: fonts/Inter-Bold.ttf
    - family: ExtraBold
      fonts:
        - asset: fonts/Inter-ExtraBold.ttf
    - family: ExtraLight
      fonts:
        - asset: fonts/Inter-ExtraLight.ttf
    - family: Light
      fonts:
        - asset: fonts/Inter-Light.ttf
    - family: Medium
      fonts:
        - asset: fonts/Inter-Medium.ttf
    - family: Regular
      fonts:
        - asset: fonts/Inter-Regular.ttf
    - family: SemiBold
      fonts:
        - asset: fonts/Inter-SemiBold.ttf
    - family: Thin
      fonts:
        - asset: fonts/Inter-Thin.ttf
    - family: RobotoBold
      fonts:
        - asset: fonts/Roboto-Bold.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
